2 Replies Latest reply on Jul 13, 2017 11:44 AM by runjerry

    patch-realsense-ubuntu-xenial.sh failure

    runjerry

      Hi,

       

      I am working on getting my newly arrived SR300 work on Ubuntu 16.04 with kernel 4.8.0-58-generic.

      When I was trying to build the patched file ./scripts/patch-realsense-ubuntu-xenial.sh following the Linux installation instructions, the following error occurred:

       

      patching file drivers/media/usb/uvc/uvc_driver.c

      Hunk #1 succeeded at 188 with fuzz 2 (offset 20 lines).

      patching file drivers/media/usb/uvc/uvcvideo.h

      Hunk #1 succeeded at 143 (offset 12 lines).

      patching file include/uapi/linux/videodev2.h

      Hunk #1 FAILED at 624.

      1 out of 1 hunk FAILED -- saving rejects to file include/uapi/linux/videodev2.h.rej

       

      "videodev2.h.rej" includes the following:

       

      --- include/uapi/linux/videodev2.h

      +++ include/uapi/linux/videodev2.h

      @@ -624,6 +624,10 @@ struct v4l2_pix_format {

      #define V4L2_PIX_FMT_Y8I      v4l2_fourcc('Y', '8', 'I', ' ') /* Greyscale 8-bit L/R interleaved */

      #define V4L2_PIX_FMT_Y12I     v4l2_fourcc('Y', '1', '2', 'I') /* Greyscale 12-bit L/R interleaved */

      #define V4L2_PIX_FMT_Z16      v4l2_fourcc('Z', '1', '6', ' ') /* Depth data 16-bit */

      +#define V4L2_PIX_FMT_INZI     v4l2_fourcc('I',  'N',  'Z',  'I') /* 24 Depth/IR 16:8 */

      +#define V4L2_PIX_FMT_INVR     v4l2_fourcc('I',  'N',  'V',  'R') /* 16 Depth */

      +#define V4L2_PIX_FMT_INRI     v4l2_fourcc('I',  'N',  'R',  'I') /* 24 Depth/IR 16:8 */

      +#define V4L2_PIX_FMT_RELI     v4l2_fourcc('R',  'E',  'L',  'I') /* 8 IR alternating on off illumination */

       

      /* SDR formats - used only for Software Defined Radio devices */

      #define V4L2_SDR_FMT_CU8          v4l2_fourcc('C', 'U', '0', '8') /* IQ u8 */

       

      I have been looking around for this and it seems that this is a common issue for many new kernels. One response in another post suggests watching Uvcvideo patching issue · Issue #444 · IntelRealSense/librealsense · GitHub, and it seems that the kernel 4.8 support has already been updated? I would highly appreciate for any hints to this problem.

       

      With regards,

      Jerry